import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class HedgefarmContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    alphaOne({ address, network }: ContractOpts): import("./ethers").AlphaOne;
    alphaTwo({ address, network }: ContractOpts): import("./ethers").AlphaTwo;
}
export type { AlphaOne } from './ethers';
export type { AlphaTwo } from './ethers';
